Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class PolicyMappings

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.PolicyMappings

All Implemented Interfaces:
  DEREncodable

    public class PolicyMappings

extends ASN1Encodable

PolicyMappings V3 extension, described in RFC3280.

        PolicyMappings ::= SEQUENCE SIZE (1..MAX) OF SEQUENCE {
          issuerDomainPolicy      CertPolicyId,
          subjectDomainPolicy     CertPolicyId }

See Also:
  RFC 3280, section 4.2.1.6

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`PolicyMappings(ASN1Sequence seq)` Creates a new `PolicyMappings` instance.
`PolicyMappings(java.util.Hashtable mappings)` Creates a new `PolicyMappings` instance.

Method Summary
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyMappings

    public PolicyMappings(ASN1Sequence seq)

  Creates a new `PolicyMappings` instance.

  Parameters:
    `seq` - an `ASN1Sequence` constructed as specified in RFC 3280

### PolicyMappings

    public PolicyMappings(java.util.Hashtable mappings)

  Creates a new `PolicyMappings` instance.

  Parameters:
    `mappings` - a `HashMap` value that maps `String` oids to other `String` oids.

Method Detail

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD